TIFFFlush(3T)

NAME
TIFFFlush, TIFFFlushData - flush pending writes to an open TIFF file

SYNOPSIS
#include <tiffio.h>
int TIFFFlush(TIFF* tif)
int TIFFFlushData(TIFF* tif)

DESCRIPTION
TIFFFlush causes any pending writes for the specified file (including writes for the current directory) to be done. In normal operation this call is never needed- the library automatically does any flushing required.

TIFFFlushData flushes any pending image data for the specified file to be written out; directory-related data are not flushed. In normal operation this call is never needed- the library automatically does any flushing required.

RETURN VALUES
0 is returned if an error is encountered, otherwise 1 is returned.

DIAGNOSTICS
All error messages are directed to the TIFFError(3T) routine.

SEE ALSO
libtiff(3T), TIFFOpen(3T), TIFFWriteEncodedStrip(3T), TIFFWriteEncodedTile(3T), TIFFWriteRawStrip(3T), TIFFWriteRawTile(3T), TIFFWriteScanline(3T), TIFFWriteTile(3T)